Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs	(revision 16566)
@@ -24,7 +24,8 @@
 using System.Windows.Forms;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Data.Model {
-  [StorableClass]
+  [StorableType("81E275A5-1646-42E1-8D2D-D38E03A39C77")]
   public abstract class ColumnBase {
     [StorableConstructor]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs	(revision 16566)
@@ -25,7 +25,8 @@
 using System.Windows.Forms;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Data.Model {
-  [StorableClass]
+  [StorableType("CBAFB262-73D3-47C7-8E2B-7673A7F203BF")]
   public class ColumnGroup {
     [StorableConstructor]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs	(revision 16566)
@@ -24,7 +24,8 @@
 using System.Linq;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Data.Model {
-  [StorableClass]
+  [StorableType("92C9DDC3-8C5D-4496-9C72-E7F9E8624D5B")]
   public class DataSet {
 
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs	(revision 16566)
@@ -24,7 +24,8 @@
 using System.Globalization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Data.Model {
-  [StorableClass]
+  [StorableType("7C0A4BD8-45A1-4710-AC42-1BCBB4DF03D5")]
   public class DateTimeColumn : ColumnBase {
     [Storable]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs	(revision 16566)
@@ -26,7 +26,8 @@
 using System.Linq;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Data.Model {
-  [StorableClass]
+  [StorableType("1C7B8981-3027-4133-A55F-2B1985568E69")]
   public class DoubleColumn : ColumnBase {
     [Storable]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs	(revision 16566)
@@ -24,7 +24,8 @@
 using System.Linq;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Data.Model {
-  [StorableClass]
+  [StorableType("5FAE0F69-2400-4DB9-AA1B-C80298C77A77")]
   public class ProgrammableColumn : ColumnBase {
     private DynamicValueList dynamicValues;
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs	(revision 15690)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs	(revision 16566)
@@ -24,7 +24,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Data.Model {
-  [StorableClass]
+  [StorableType("D07567B3-743A-4104-A443-BE048B37BBEB")]
   public class StringColumn : ColumnBase {
     [Storable]