Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs	(revision 16567)
@@ -30,5 +30,5 @@
   public abstract class ColumnBase {
     [StorableConstructor]
-    protected ColumnBase(bool deserializing) : base() { }
+    protected ColumnBase(StorableConstructorFlag _) { }
 
     protected ColumnBase(string name)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs	(revision 16567)
@@ -31,5 +31,5 @@
   public class ColumnGroup {
     [StorableConstructor]
-    protected ColumnGroup(bool deserializing) : base() { }
+    protected ColumnGroup(StorableConstructorFlag _) { }
     public ColumnGroup()
       : base() {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs	(revision 16567)
@@ -36,5 +36,5 @@
     }
     [StorableConstructor]
-    protected DataSet(bool deserializing) : base() { }
+    protected DataSet(StorableConstructorFlag _) { }
     public DataSet() {
       this.columnGroups = new List<ColumnGroup>();
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs	(revision 16567)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected DateTimeColumn(bool deserializing) : base(deserializing) { }
+    protected DateTimeColumn(StorableConstructorFlag _) : base(_) { }
 
     public DateTimeColumn(string columnName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs	(revision 16567)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected DoubleColumn(bool deserializing) : base(deserializing) { }
+    protected DoubleColumn(StorableConstructorFlag _) : base(_) { }
 
     public DoubleColumn(string columnName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs	(revision 16567)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected ProgrammableColumn(bool deserializing) : base(deserializing) { }
+    protected ProgrammableColumn(StorableConstructorFlag _) : base(_) { }
 
     public ProgrammableColumn(string columnName, ColumnGroup columnGroup)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs	(revision 16567)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected StringColumn(bool deserializing) : base(deserializing) { }
+    protected StringColumn(StorableConstructorFlag _) : base(_) { }
 
     public StringColumn(string columnName)