Index: /trunk/HeuristicLab.Clients.Hive.Slave.App/3.3/HeuristicLab.Clients.Hive.Slave.App-3.3.csproj
===================================================================
--- /trunk/HeuristicLab.Clients.Hive.Slave.App/3.3/HeuristicLab.Clients.Hive.Slave.App-3.3.csproj	(revision 16571)
+++ /trunk/HeuristicLab.Clients.Hive.Slave.App/3.3/HeuristicLab.Clients.Hive.Slave.App-3.3.csproj	(revision 16572)
@@ -93,16 +93,5 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="HeuristicLab.Common-3.3">
-      <HintPath>..\..\bin\HeuristicLab.Common-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
-    <Reference Include="HeuristicLab.Core-3.3">
-      <HintPath>..\..\bin\HeuristicLab.Core-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
-    <Reference Include="HeuristicLab.Core.Views-3.3">
-      <HintPath>..\..\bin\HeuristicLab.Core.Views-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
+    <Reference Include="HeuristicLab.Core.Views-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec" />
     <Reference Include="HeuristicLab.MainForm-3.3">
       <HintPath>..\..\bin\HeuristicLab.MainForm-3.3.dll</HintPath>
Index: /trunk/HeuristicLab.Clients.Hive.Slave.App/3.3/Plugin.cs.frame
===================================================================
--- /trunk/HeuristicLab.Clients.Hive.Slave.App/3.3/Plugin.cs.frame	(revision 16571)
+++ /trunk/HeuristicLab.Clients.Hive.Slave.App/3.3/Plugin.cs.frame	(revision 16572)
@@ -29,9 +29,7 @@
 namespace HeuristicLab.Clients.Hive.Slave.App {
   [Plugin("HeuristicLab.Clients.Hive.Slave.App", "3.3.15.$WCREV$")]
-  [PluginFile("HeuristicLab.Clients.Hive.Slave.App-3.3.dll", PluginFileType.Assembly)]      
-  [PluginDependency("HeuristicLab.Clients.Hive.SlaveCore", "3.3")]  
-  [PluginDependency("HeuristicLab.Clients.Hive.Slave.Views", "3.3")]  
-  [PluginDependency("HeuristicLab.Core", "3.3")]  
-  [PluginDependency("HeuristicLab.Common", "3.3")]  
+  [PluginFile("HeuristicLab.Clients.Hive.Slave.App-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Clients.Hive.SlaveCore", "3.3")]
+  [PluginDependency("HeuristicLab.Clients.Hive.Slave.Views", "3.3")]
   [PluginDependency("HeuristicLab.Core.Views", "3.3")]
   [PluginDependency("HeuristicLab.MainForm", "3.3")]
Index: /trunk/HeuristicLab.Clients.Hive.Slave.Views/3.3/HeuristicLab.Clients.Hive.Slave.Views-3.3.csproj
===================================================================
--- /trunk/HeuristicLab.Clients.Hive.Slave.Views/3.3/HeuristicLab.Clients.Hive.Slave.Views-3.3.csproj	(revision 16571)
+++ /trunk/HeuristicLab.Clients.Hive.Slave.Views/3.3/HeuristicLab.Clients.Hive.Slave.Views-3.3.csproj	(revision 16572)
@@ -89,8 +89,4 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="HeuristicLab.Collections-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <HintPath>..\..\bin\HeuristicLab.Collections-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
     <Reference Include="HeuristicLab.Common-3.3">
       <HintPath>..\..\bin\HeuristicLab.Common-3.3.dll</HintPath>
@@ -109,12 +105,4 @@
       <Private>False</Private>
     </Reference>
-    <Reference Include="HeuristicLab.Data-3.3">
-      <HintPath>..\..\bin\HeuristicLab.Data-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
-    <Reference Include="HeuristicLab.Data.Views-3.3">
-      <HintPath>..\..\bin\HeuristicLab.Data.Views-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
     <Reference Include="HeuristicLab.MainForm-3.3">
       <HintPath>..\..\bin\HeuristicLab.MainForm-3.3.dll</HintPath>
@@ -123,16 +111,4 @@
     <Reference Include="HeuristicLab.MainForm.WindowsForms-3.3">
       <HintPath>..\..\bin\HeuristicLab.MainForm.WindowsForms-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
-    <Reference Include="HeuristicLab.Optimization-3.3">
-      <HintPath>..\..\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
-    <Reference Include="HeuristicLab.Optimizer-3.3">
-      <HintPath>..\..\bin\HeuristicLab.Optimizer-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
-    <Reference Include="HeuristicLab.Persistence-3.3">
-      <HintPath>..\..\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
       <Private>False</Private>
     </Reference>
Index: /trunk/HeuristicLab.Clients.Hive.Slave.Views/3.3/Plugin.cs.frame
===================================================================
--- /trunk/HeuristicLab.Clients.Hive.Slave.Views/3.3/Plugin.cs.frame	(revision 16571)
+++ /trunk/HeuristicLab.Clients.Hive.Slave.Views/3.3/Plugin.cs.frame	(revision 16572)
@@ -30,16 +30,10 @@
   [PluginFile("HeuristicLab.Clients.Hive.Slave.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Clients.Hive.SlaveCore", "3.3")]
-  [PluginDependency("HeuristicLab.Collections", "3.3")]
   [PluginDependency("HeuristicLab.Common", "3.3")]
   [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Core.Views", "3.3")]
-  [PluginDependency("HeuristicLab.Data", "3.3")]
-  [PluginDependency("HeuristicLab.Data.Views", "3.3")]
   [PluginDependency("HeuristicLab.MainForm", "3.3")]
   [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
-  [PluginDependency("HeuristicLab.Optimization", "3.3")]
-  [PluginDependency("HeuristicLab.Optimizer", "3.3")]
-  [PluginDependency("HeuristicLab.Persistence", "3.3")]
   public class HeuristicLabClientsHiveSlaveViewsPlugin : PluginBase {
   }
Index: /trunk/HeuristicLab.Clients.Hive.Slave/3.3/HeuristicLab.Clients.Hive.Slave-3.3.csproj
===================================================================
--- /trunk/HeuristicLab.Clients.Hive.Slave/3.3/HeuristicLab.Clients.Hive.Slave-3.3.csproj	(revision 16571)
+++ /trunk/HeuristicLab.Clients.Hive.Slave/3.3/HeuristicLab.Clients.Hive.Slave-3.3.csproj	(revision 16572)
@@ -93,7 +93,7 @@
       <Private>False</Private>
     </Reference>
-    <Reference Include="HeuristicLab.Common-3.3">
+    <Reference Include="HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
       <HintPath>..\..\bin\HeuristicLab.Common-3.3.dll</HintPath>
-      <Private>False</Private>
     </Reference>
     <Reference Include="HeuristicLab.Common.Resources-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
@@ -103,8 +103,4 @@
     <Reference Include="HeuristicLab.Core-3.3">
       <HintPath>..\..\bin\HeuristicLab.Core-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
-    <Reference Include="HeuristicLab.Persistence-3.3">
-      <HintPath>..\..\bin\HeuristicLab.Persistence-3.3.dll</HintPath>
       <Private>False</Private>
     </Reference>
Index: /trunk/HeuristicLab.Clients.Hive.Slave/3.3/Plugin.cs.frame
===================================================================
--- /trunk/HeuristicLab.Clients.Hive.Slave/3.3/Plugin.cs.frame	(revision 16571)
+++ /trunk/HeuristicLab.Clients.Hive.Slave/3.3/Plugin.cs.frame	(revision 16572)
@@ -36,5 +36,4 @@
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Hive", "3.3")]
-  [PluginDependency("HeuristicLab.Persistence", "3.3")]
   public class HeuristicLabClientsHiveSlavePlugin : PluginBase {
   }